Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department: EF Affected Products: ADTF 2.14.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::SDK

Resolution: No Customer Feedback FAQ Links:  

Description

Support Anfrage:

Ich möchte in ADTF einen TCP-Socket-Server integrieren, der innerhalb einer while-Loop mit einer externen Client-Application

kommuniziert.

Wenn ich Ein-und Ausgangspins auswerte und bedate befülle ich folgende Funktion:

tResult cTemplateProjectFilter::OnPinEvent(…){}

Allerdings weiß ich nicht wo ich meinen Code platzieren soll, sodass dieser zyklisch im Hintergrund abgearbeitet wird.

VG

Lösung:

Sieh Dir hierzu bitte mal die ADTF SDK Doku an.

Unter cServerSocket findest Du hier Informationen.

Steht unter "Classes" - "Class List" - "adtf_util" - "cServerSocket".

Wenn Du dies als parallelen Thread laufen lässt, sollte dies funktionieren.

History

#1 - 2019-05-24 13:54 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::SDK

#2 - 2019-05-24 14:20 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Benjamin,

sieh Dir hierzu bitte mal die ADTF SDK Doku an.

Unter cServerSocket findest Du hier Informationen.

Steht unter "Classes" - "Class List" - "adtf_util" - "cServerSocket".

Wenn Du dies als parallelen Thread laufen lässt, sollte dies funktionieren.

#3 - 2019-05-28 13:08 - hidden

Hallo Benjamin,

hast Du unsere Info erhalten?

Ist deine Anfrage damit beantwortet?

Bitte um Feedback bis zum Freitag 31.05.
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/classadtf__util_1_1c_server_socket.html
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/classadtf__util_1_1c_server_socket.html


#4 - 2019-06-05 11:11 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to No Customer Feedback

- Platform Windows 7 64bit added

#5 - 2020-07-07 12:33 - hidden

- Project changed from 11 to Public Support

- Subject changed from ADTF Loop Verarbeitung to ADTF procesing loop

- Private changed from Yes to No

#6 - 2020-07-07 12:33 - hidden

- Subject changed from ADTF procesing loop to ADTF processing loop

#7 - 2020-07-07 12:44 - hidden

- Status changed from To Be Closed to Closed
